components:
  schemas:
    Processor_v1_3_3_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Processor_v1_3_3_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Processor_v1_3_3_InstructionSet:
      enum:
      - x86
      - x86-64
      - IA-64
      - ARM-A32
      - ARM-A64
      - MIPS32
      - MIPS64
      - OEM
      type: string
      x-enumDescriptions:
        ARM-A32: ARM 32-bit.
        ARM-A64: ARM 64-bit.
        IA-64: Intel IA-64.
        MIPS32: MIPS 32-bit.
        MIPS64: MIPS 64-bit.
        OEM: OEM-defined.
        x86: x86 32-bit.
        x86-64: x86 64-bit.
    Processor_v1_3_3_Links:
      additionalProperties: false
      description: Contains references to other resources that are related to this
        resource.
      properties:
        Chassis:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A reference to the Chassis which contains this Processor.
          readOnly: true
          x-longDescription: The value of this property shall be a reference to a
            resource of type Chassis that represent the physical container associated
            with this Processor.
          x-versionAdded: v1_1_0
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: Oem extension object.
          x-longDescription: This object represents the Oem property.  All values
            for resources described by this schema shall comply to the requirements
            as described in the Redfish specification.
      type: object
      x-longDescription: This type, as described by the Redfish Specification, shall
        contain references to resources that are related to, but not contained by
        (subordinate to), this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Processor_v1_3_3_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Processor_v1_3_3_Processor:
      additionalProperties: false
      description: This is the schema definition for the Processor resource.  It represents
        the properties of a processor attached to a System.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Processor_v1_3_3_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
          x-versionAdded: v1_1_0
        Assembly:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A reference to the Assembly resource associated with this processor.
          readOnly: true
          x-longDescription: The value of this property shall be a link to a resource
            of type Assembly.
          x-versionAdded: v1_2_0
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        InstructionSet:
          $ref: '#/components/schemas/Processor_v1_3_3_InstructionSet'
          description: The instruction set of the processor.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain the string which identifies
            the instruction set of the processor contained in this socket.
        Links:
          $ref: '#/components/schemas/Processor_v1_3_3_Links'
          description: Contains references to other resources that are related to
            this resource.
          x-longDescription: The Links property, as described by the Redfish Specification,
            shall contain references to resources that are related to, but not contained
            by (subordinate to), this resource.
          x-versionAdded: v1_1_0
        Location:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Location
          description: The Location of the processor.
          x-longDescription: This property shall contain location information of the
            associated processor.
          x-versionAdded: v1_2_0
        Manufacturer:
          description: The processor manufacturer.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a string which identifies
            the manufacturer of the processor.
        MaxSpeedMHz:
          description: The maximum clock speed of the processor.
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall indicate the maximum rated clock
            speed of the processor in MHz.
          x-units: MHz
        Model:
          description: The product model number of this device.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the model information as
            provided by the manufacturer of this processor.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        ProcessorArchitecture:
          $ref: '#/components/schemas/Processor_v1_3_3_ProcessorArchitecture'
          description: The architecture of the processor.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain the string which identifies
            the architecture of the processor contained in this Socket.
        ProcessorId:
          $ref: '#/components/schemas/Processor_v1_3_3_ProcessorId'
          description: Identification information for this processor.
          x-longDescription: This object shall contain identification information
            for this processor.
        ProcessorType:
          $ref: '#/components/schemas/Processor_v1_3_3_ProcessorType'
          description: The type of processor.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain the string which identifies
            the type of processor contained in this Socket.
        Socket:
          description: The socket or location of the processor.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the string which identifies
            the physical location or socket of the processor.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: This property describes the status and health of the resource
            and its children.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        SubProcessors:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A reference to the collection of Sub-Processors associated
            with this system, such as cores or threads that are part of a processor.
          readOnly: true
          x-longDescription: The value of this property shall be a link to a collection
            of type ProcessorCollection.
          x-versionAdded: v1_3_0
        TotalCores:
          description: The total number of cores contained in this processor.
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall indicate the total count of independent
            processor cores contained within this processor.
        TotalThreads:
          description: The total number of execution threads supported by this processor.
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall indicate the total count of independent
            execution threads supported by this processor.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent a single processor
        contained within a system.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Processor_v1_3_3_ProcessorArchitecture:
      enum:
      - x86
      - IA-64
      - ARM
      - MIPS
      - OEM
      type: string
      x-enumDescriptions:
        ARM: ARM.
        IA-64: Intel Itanium.
        MIPS: MIPS.
        OEM: OEM-defined.
        x86: x86 or x86-64.
    Processor_v1_3_3_ProcessorId:
      additionalProperties: false
      description: This type describes the Identification information for a processor.
      properties:
        EffectiveFamily:
          description: The effective Family for this processor.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the effective Family information
            as provided by the manufacturer of this processor.
        EffectiveModel:
          description: The effective Model for this processor.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the effective Model information
            as provided by the manufacturer of this processor.
        IdentificationRegisters:
          description: The contents of the Identification Registers (CPUID) for this
            processor.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall include the raw CPUID instruction
            output as provided by the manufacturer of this processor.
        MicrocodeInfo:
          description: The Microcode Information for this processor.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the Microcode Information
            as provided by the manufacturer of this processor.
        Step:
          description: The Step value for this processor.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the Step or revision string
            information as provided by the manufacturer of this processor.
        VendorId:
          description: The Vendor Identification for this processor.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the Vendor Identification
            string information as provided by the manufacturer of this processor.
      type: object
      x-longDescription: This type shall contain identification information for a
        processor.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Processor_v1_3_3_ProcessorType:
      enum:
      - CPU
      - GPU
      - FPGA
      - DSP
      - Accelerator
      - Core
      - Thread
      - OEM
      type: string
      x-enumDescriptions:
        Accelerator: An Accelerator.
        CPU: A Central Processing Unit.
        Core: A Core in a Processor.
        DSP: A Digital Signal Processor.
        FPGA: A Field Programmable Gate Array.
        GPU: A Graphics Processing Unit.
        OEM: An OEM-defined Processing Unit.
        Thread: A Thread in a Processor.
      x-enumVersionAdded:
        Core: v1_3_0
        Thread: v1_3_0
title: '#Processor.v1_3_3.Processor'
x-copyright: Copyright 2014-2019 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2018.1'
